Bug 142779 - New ipod is not matched by usb-storage/unusual_devs.h
New ipod is not matched by usb-storage/unusual_devs.h
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-13 19:49 EST by Stephen White
Modified: 2015-01-04 17:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-10 20:10:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen White 2004-12-13 19:49:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040615 Firefox/0.9

Description of problem:
My new ipod is not recognised by the unusual device list and therefore
gets IO errors instead of mouting correctly when plugged in via USB.

Version-Release number of selected component (if applicable):
2.6.9-1.6_FC2

How reproducible:
Always

Steps to Reproduce:
1. Buy a brand new ipod
2. Plug into a linux machine using USB
3. Attempt to mount /dev/sda3
    
Actual Results:  IO errors
Expected Results:  It mounting
Additional info:

unusual_devs.h in drivers/usb/storage contains

/* Reported by Avi Kivity <avi@argo.co.il> */
UNUSUAL_DEV( 0x05ac, 0x1203, 0x0001, 0x0001,
    "Apple",
    "iPod",
    US_SC_DEVICE, US_PR_DEVICE, NULL,
    US_FL_FIX_CAPACITY ),

as a fix for the EFI detection problem detailed in various places
(http://www.mail-archive.com/linux-usb-users@lists.sourceforge.net/msg12302.html
for example).

However my new mini-ipod is not recognised, it reports:
T:  Bus=01 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  2 Spd=12  MxCh= 0
D:  Ver= 2.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS=64 #Cfgs=  1
P:  Vendor=05ac ProdID=1202 Rev= 0.01
S:  Manufacturer=Apple
S:  Product=iPod mini
S:  SerialNumber=000000CDA9D9
C:* #Ifs= 1 Cfg#= 1 Atr=c0 MxPwr=500mA
I:  If#= 0 Alt= 0 #EPs= 2 Cls=08(stor.) Sub=06 Prot=50 Driver=usb-storage
E:  Ad=82(I) Atr=02(Bulk) MxPS=  64 Ivl=0ms
E:  Ad=01(O) Atr=02(Bulk) MxPS=  64 Ivl=0ms


I therefore added the following additional unusual device entry to
unusual_devs.h:

/* Reported by <swhite-kernel@parthcomp.com> */
UNUSUAL_DEV( 0x05ac, 0x1202, 0x0001, 0x0001,
    "Apple",
    "iPod",
    US_SC_DEVICE, US_PR_DEVICE, NULL,
    US_FL_FIX_CAPACITY ),

This has fixed the IO errors I was seeing and I can now mount my ipod
under linux using USB.
Comment 1 Mark McLoughlin 2004-12-15 11:59:34 EST
Tried this out and the fix works fine for me, was getting the same IO errors
before trying the fix.

Also note bug #132190
Comment 4 Dave Jones 2004-12-23 19:00:03 EST
fixed in cvs, will be in the next build.

Note You need to log in before you can comment on or make changes to this bug.